Package Scientific :: Package IO :: Module PDB :: Class HetAtom

[frames] | no frames]

# Class HetAtom

    Atom --+
           |
          HetAtom

HetAtom in a PDB structure

A subclass of Atom, which differs only in the return value of the method type().

Instance Methods

`str`

type(self) Returns: the six-letter record type, ATOM or HETATM |

Inherited from `Atom`: `__getitem__`, `__init__`, `__repr__`, `__setitem__`, `__str__`, `writeToFile`

Method Details

### type(self)

Returns: `str`
  the six-letter record type, ATOM or HETATM
Overrides: Atom.type
  (inherited documentation)